Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82587 - nph-*.cgi scripts fail with latest httpd rpm
Summary: nph-*.cgi scripts fail with latest httpd rpm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-23 18:27 UTC by Troy
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-09 16:31:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:139 high SHIPPED_LIVE : Updated httpd packages fix security vulnerabilities. 2003-04-09 04:00:00 UTC

Description Troy 2003-01-23 18:27:33 UTC
Description of problem:httpd < 2.0.44 contains a bug which makes nph-*.cgi scripts fail to stream.Version-Release number of selected component (if applicable):known to be a problem in 2.0.40-11How reproducible:Every time. Try nph-clock.cgi.Steps to Reproduce:1. Copy nph-clock.cgi to cgi-bin directory.2. Point web browser to script.3. Watch the browser do nothing.    Actual results:No data streamed to browser, most browsers time out.Expected results:Streaming text to browser.Additional info:See http://www.apache.org/dist/httpd/Announcement2.html for confirmation that bug was fixed in 2.0.44. Search for "nph".

Comment 1 Joe Orton 2003-04-02 16:10:39 UTC
This should be fixed in a forthcoming erratum - thanks for the report.

Comment 2 Mark J. Cox 2003-04-09 16:31:53 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-139.html



Note You need to log in before you can comment on or make changes to this bug.